Package org.postgresql.ssl

# Class WrappedFactory

java.lang.Object
javax.net.SocketFactory
javax.net.ssl.SSLSocketFactory
org.postgresql.ssl.WrappedFactory

Direct Known Subclasses:
  `DbKeyStoreSocketFactory`, `DefaultJavaSSLFactory`, `LibPQFactory`, `NonValidatingFactory`, `SingleCertValidatingFactory`

public abstract class WrappedFactory extends SSLSocketFactory
Provide a wrapper to a real SSLSocketFactory delegating all calls to the contained instance. A subclass needs only provide a constructor for the wrapped SSLSocketFactory.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected SSLSocketFactory`
`factory`

## Constructor Summary

Constructors
Constructor
Description
`WrappedFactory()`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String host, int port)`
`Socket`
`createSocket(String host, int port, InetAddress localHost, int localPort)`
`Socket`
`createSocket(InetAddress host, int port)`
`Socket`
`createSocket(InetAddress address, int port, InetAddress localAddress, int localPort)`
`Socket`
`createSocket(Socket socket, String host, int port, boolean autoClose)`
`String[]`
`getDefaultCipherSuites()`
`String[]`
`getSupportedCipherSuites()`

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`createSocket, getDefault`

### Methods inherited from class javax.net.SocketFactory

`createSocket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### factory

protected SSLSocketFactory factory

## Constructor Details

### WrappedFactory

public WrappedFactory()

## Method Details

### createSocket

public Socket createSocket(InetAddress host, int port) throws IOException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

### createSocket

public Socket createSocket(String host, int port) throws IOException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

### createSocket

public Socket createSocket(String host, int port, InetAddress localHost, int localPort) throws IOException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

### createSocket

public Socket createSocket(InetAddress address, int port, InetAddress localAddress, int localPort) throws IOException

Specified by:
  `createSocket` in class `SocketFactory`
Throws:
  `IOException`

### createSocket

public Socket createSocket(Socket socket, String host, int port, boolean autoClose) throws IOException

Specified by:
  `createSocket` in class `SSLSocketFactory`
Throws:
  `IOException`

### getDefaultCipherSuites

public String[] getDefaultCipherSuites()

Specified by:
  `getDefaultCipherSuites` in class `SSLSocketFactory`

### getSupportedCipherSuites

public String[] getSupportedCipherSuites()

Specified by:
  `getSupportedCipherSuites` in class `SSLSocketFactory`